#### 9.35.1 Options

`-isa=sh4 | sh4a`
  Specify the sh4 or sh4a instruction set.
`-isa=dsp`
  Enable sh-dsp insns, and disable sh3e / sh4 insns.
`-isa=fp`
  Enable sh2e, sh3e, sh4, and sh4a insn sets.
`-isa=all`
  Enable sh1, sh2, sh2e, sh3, sh3e, sh4, sh4a, and sh-dsp insn sets.
`-isa=shmedia | -isa=shcompact`
  Specify the default instruction set. `SHmedia` specifies the 32-bit opcodes, and `SHcompact` specifies the 16-bit opcodes compatible with previous SH families. The default depends on the ABI selected; the default for the 64-bit ABI is SHmedia, and the default for the 32-bit ABI is SHcompact. If neither the ABI nor the ISA is specified, the default is 32-bit SHcompact.

  Note that the `.mode` pseudo-op is not permitted if the ISA is not specified on the command line.

`-abi=32 | -abi=64`
  Specify the default ABI. If the ISA is specified and the ABI is not, the default ABI depends on the ISA, with SHmedia defaulting to 64-bit and SHcompact defaulting to 32-bit.

  Note that the `.abi` pseudo-op is not permitted if the ABI is not specified on the command line. When the ABI is specified on the command line, any `.abi` pseudo-ops in the source must match it.

`-shcompact-const-crange`
  Emit code-range descriptors for constants in SHcompact code sections.
`-no-mix`
  Disallow SHmedia code in the same section as constants and SHcompact code.
`-no-expand`
  Do not expand MOVI, PT, PTA or PTB instructions.
`-expand-pt32`
  With -abi=64, expand PT, PTA and PTB instructions to 32 bits only.
`-h-tick-hex`
  Support H'00 style hex constants in addition to 0x00 style.